Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTNamedTypeSpecifier

All Superinterfaces:
  `IASTAttributeOwner`, `IASTDeclSpecifier`, `IASTNamedTypeSpecifier`, `IASTNameOwner`, `IASTNode`, `ICPPASTDeclSpecifier`

public interface ICPPASTNamedTypeSpecifier extends IASTNamedTypeSpecifier, ICPPASTDeclSpecifier
C++ adds the capability of qualifying a named type specifier w/the keyword typename.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`ALIGNMENT_SPECIFIER, sc_auto, sc_extern, sc_mutable, sc_register, sc_static, sc_typedef, sc_unspecified`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNamedTypeSpecifier

`NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTNamedTypeSpecifier`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTNamedTypeSpecifier`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`boolean`
`isTypename()`
Was typename token consumed?
`void`
`setIsTypename(boolean value)`
Set this value.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`getAlignmentSpecifiers, getStorageClass, isConst, isInline, isRestrict, isVolatile, setAlignmentSpecifiers, setConst, setInline, setRestrict, setStorageClass, setVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNamedTypeSpecifier

`getName, setName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTDeclSpecifier

`isConstexpr, isExplicit, isFriend, isThreadLocal, isVirtual, setConstexpr, setExplicit, setFriend, setThreadLocal, setVirtual`

## Method Details

### isTypename

boolean isTypename()
Was typename token consumed?

Returns:
  boolean

### setIsTypename

void setIsTypename(boolean value)
Set this value.

Parameters:
  `value` - boolean

### copy

ICPPASTNamedTypeSpecifier copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNamedTypeSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTDeclSpecifier`
Since:
  5.1

### copy

ICPPASTNamedTypeSpecifier copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTDeclSpecifier`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3